
**
* do calcMUincFE `var' `util' `sample'
**


local var = "`1'"
local util = "`2'"
local sample = "`3'"
local type = "`5'"


di "calculating MU of inc (FE method) for `var', `util', `sample' ... "

preserve

keep if e(sample) == 1



**
* de-mean number of diseases
**
/**
 **
summ health_it if e(sample) == 1
gen health_it_old = health_it
replace health_it = health_it - r(mean)
replace ybar_iXhealth_it = ybar_iXhealth_it * health_it / health_it_old
 **
 **/


local offset = 0
*capture drop fe
capture drop myn
capture drop myN
*predict fe, d
*predict fe, u
predict xb, xb
sort hhidpn wave
by hhidpn: gen myn = _n
by hhidpn: gen myN = _N
**ereturn list


predict e, e
summ e if e(sample) == 1
local sse = r(Var)
local depvar = e(depvar)
summ `depvar' if e(sample) == 1
local sst = r(Var)
global rSq = 1 - `sse'/`sst'


gen delta = rwhappy - xb

if (`4' == 1) {
 est store `var'_`util'`sample'fe`offset'
}

if ("`5'" == "wgt") {
 reg fe log_inc_perm isfemale isblack rage rageSquared single hh_size [aw=rwtresp], cluster(hhidpn)        
}
else {
 reg fe log_inc_perm isfemale isblack rage rageSquared single hh_size, cluster(hhidpn)        
}


**
** NOTE: 
**    The number of clusters is 11537
**    but we report number of individuals as 11514 because we do not include those
**    who have only 1 observation
**      (they ought to have been dropped already; that should be fixed)
**
bys hhidpn: keep if _N > 1

capture drop myn 
bys hhidpn: gen myn = _n
tab myn, missing
count if myn == 1
global ind_N = r(N)

global mu_`var'_`util'_`sample' = _b[log_inc_perm]
matrix V = e(V)
global mu_`var'_`util'_`sample'_se = sqrt(V[1,1])

if (`4' == 1) {
 est store `var'_`util'_`sample'fe`offset'w
}
di " ... done!"

restore

exit


/**
 **
    reg fe log_inc_perm dummy_inc_perm isfemale isblack if myn == 1
    reg fe log_inc_perm dummy_inc_perm isfemale isblack [aw=myN] if myn == 1
    reg fe log_inc_perm dummy_inc_perm isfemale isblack rage rageSquared single hh_size if myn == 1
    reg fe log_inc_perm dummy_inc_perm isfemale isblack rage rageSquared single hh_size [aw=myN] if myn == 1, cluster(hhidpn)
    reg fe log_inc_perm dummy_inc_perm isfemale isblack rage rageSquared single hh_size, cluster(hhidpn)

    reg fe log_inc_perm dummy_inc_perm health_it isfemale isblack if myn == 1
    reg fe log_inc_perm dummy_inc_perm health_it isfemale isblack rage rageSquared single hh_size, cluster(hhidpn)

    reg fe log_inc_perm dummy_inc_perm isfemale isblack
    reg fe log_inc_perm dummy_inc_perm isfemale isblack _Iwave*
    reg fe log_inc_perm ybar_iXhealth_it health_it isfemale isblack rage rageSquared single hh_size _Iwave*, cluster(hhidpn)

    reg fe log_inc_perm dummy_inc_perm isfemale isblack, cluster(hhidpn)

    reg fe log_inc_perm health_it isfemale isblack rage rageSquared single hh_size _Iwave*, cluster(hhidpn)
 **
 **/
/**
    reg fe log_inc_perm ybar_iXhealth_it health_it dummyY_iXhealth_it rage rageSquared single hh_size _Iwave* if myn == 1, cluster(hhidpn)

    reg delta log_inc_perm if myn == 1, cluster(hhidpn)

    xtreg delta log_inc_perm isfemale isblack, cluster(hhidpn) i(hhidpn)

    reg fe log_inc_perm isfemale isblack if myn == 1, cluster(hhidpn)
    reg fe log_inc_perm isfemale isblack, cluster(hhidpn)

    ivreg fe (log_inc_perm = isfemale isblack), cluster(hhidpn)
**/

    **reg delta log_inc_perm isfemale isblack ybar_iXhealth_it health_it  rage rageSquared single hh_size, 
    **reg delta log_inc_perm isfemale isblack
    **est store ols
    **xtreg delta log_inc_perm isfemale isblack ybar_iXhealth_it health_it rage rageSquared single hh_size, i(hhidpn)
    **xtreg delta log_inc_perm isfemale isblack, i(hhidpn)
    **est store re
    **hausman re ols
    **reg fe log_inc_perm isfemale isblack health_it rage rageSquared single hh_size, cluster(hhidpn)
    **reg fe log_inc_perm isfemale isblack, cluster(hhidpn)

    ** we do NOT control for health in paper ...
    ** reg fe log_inc_perm isfemale isblack rage rageSquared single hh_size _Iw*, cluster(hhidpn)        
