
**
* do calcMUincFE `var' `util' `sample'
**


local var = "`1'"
local util = "`2'"
local sample = "`3'"
local type = "`5'"

/**
capture drop fe
bys hhidpn: egen mean_resid = mean(resid)
gen fe = mean_resid - _b[b3]*mean_health_it - _b[b1]*mean_health_it*(log_inc_perm)
**/

di "calculating MU of inc (FE method) for `var', `util', `sample' ... "

preserve
keep if sample`sample' == 1
bys hhidpn: keep if _N > 1

local offset = 0

**capture drop fe
capture drop myn
capture drop myN
**predict resid, resid
**sort hhidpn wave
**by hhidpn: egen fe = mean(resid)
by hhidpn: gen myn = _n
by hhidpn: gen myN = _N
reg fe log_inc_perm dummy_inc_perm  isfemale isblack rage rageSquared single hh_size if myn == 1
if (`4' == 1) {
 est store `var'_`util'`sample'fe`offset'
}

if ("`type'" == "allobs") {
  reg fe log_inc_perm dummy_inc_perm isfemale isblack rage rageSquared single hh_size myN
}
else {
 if ("`type'" == "allobs2") {
  reg fe log_inc_perm dummy_inc_perm  isfemale isblack [aw=myN] if myn == 1 
 }
 else {
  if ("`type'" == "allxs") {
   reg fe log_inc_perm dummy_inc_perm isfemale isblack rage rageSquared single hh_size [aw=myN] if myn == 1
  }
  else {
   if ("`type'" == "norace") {
    reg fe log_inc_perm dummy_inc_perm rage rageSquared single hh_size [aw=myN] if myn == 1
   }
   else {
    **************
    ** DEFAULT
    **************
    reg fe log_inc_perm dummy_inc_perm isfemale isblack rage rageSquared single hh_size
   }
  }
 }
}



count if myn == 1
global ind_N = r(N)

global mu_`var'_`util'_`sample' = _b[log_inc_perm]
if (`4' == 1) {
 est store `var'_`util'_`sample'fe`offset'w
}
di " ... done!"

restore

