
local depvar = "rwhappy"
local id = "hhidpn"

matrix list eb
capture drop xb*
gen xb = 0
local i = 1
foreach v of varlist $varlist {
 **  di "`v'"
 **  summ rwhappy xb fe
 di "`v'"
 qui replace xb = xb + eb[1,`i'] * `v'
 local i = `i' + 1
}


capture drop lambda
capture drop fe_old
gen fe_old = fe
gen lambda = 1

forvalues i = 1/`1' {

 capture drop xbd
 gen xbd = xb + fe

qui {
 capture drop l_j
 capture drop lnf
 gen l_j = log(normal(xbd))          if rwhappy == 1
 replace l_j = log(normal(-1 * xbd)) if rwhappy == 0
 bys `id': egen lnf = sum(l_j)

 capture drop g1
 capture drop g
 gen     g1 = normalden(xbd) / normal(xbd) if `depvar' == 1
 replace g1 = -1 * normalden(-1 * xbd) / (normal(-1 * xbd)) if `depvar' == 0
 bys `id': egen g = sum(g1)

 capture drop H1
 capture drop H
 gen     H1 = (  ( normalden(xbd) * (-1 * xbd) * normal(xbd) - normalden(xbd) * normalden(xbd)) / ((normal(xbd)^2)) )                if `depvar' == 1
 replace H1 = (  ( -1 * normalden(xbd) * (xbd) * normal(-1 * xbd) - normalden(-1 * xbd) * normalden(-1 * xbd)) / ((normal(xbd)^2)) ) if `depvar' == 0
 bys `id': egen H = sum(-1 * H1)

 capture drop fe_new
 gen fe_new = fe + lambda * g / H if abs(g) > 1e-7 & abs(H) > 1e-7

 capture drop f 
 gen f = (xb + fe_new)
 capture drop l_j
 capture drop lnf_new
 gen l_j = log(normal(f))          if `depvar' == 1 & f < .
 replace l_j = log(normal(-1 * f)) if `depvar' == 0 & f < .
 bys `id': egen lnf_new = sum(l_j)
 capture drop cnt
 capture drop N
 bys `id': egen cnt = count(l_j)
 bys `id': gen N = _N

 replace fe = fe_new if (lnf_new> lnf - 1e-4 * lambda * g * g / H)  & lnf_new < . & N == cnt
 replace lambda = lambda / 10 if fe == fe_new

** end qui
}

** end forvalues 1/10
}
