
clear
set more off

set linesize 100




capture log close
log using ${OUTPUT_DIRECTORY}/table8_savings_sim_`2'.txt, replace text



global s_fixed = .

global test = "test2e"

qui do $test 3 3 0 0 0
global s0 = $s
di "s0: $s0"


foreach GAMMA of numlist 1 3 5 {
 foreach THETA of numlist 0.2 0.5 3 {


global s_fixed = .


/**
 **
if (`GAMMA' != 3 | `THETA' != 3) {
global DTEMP = 0.027
forvalues i = 1/100 {

 qui do $test `GAMMA' `THETA' 0 0 0
 local test = abs(($s0-$s)/$s0)
 **di " `i',$s0,$s,`test',$DTEMP"

 if (abs(($s0-$s)/$s0) < 1e-8) {
   continue, break
 }

 if (`THETA' == 10) {
  global DTEMP = $DTEMP + ($s - $s0) * 3 * (0.3 ^ (`i' > 40))
 }
 if (`THETA' <= 0.2) {
  if (`GAMMA' <= 1.1) {
   if (`GAMMA' == 1) {
    global DTEMP = $DTEMP + ($s - $s0) * 0.035
   }
   else {
    global DTEMP = $DTEMP + ($s - $s0) * 0.035
   }
  }
  else {
   if (`GAMMA' >= 5) {
    global DTEMP = $DTEMP + $DTEMP* ($s - $s0) * .2
   }
   else {
    global DTEMP = $DTEMP + $DTEMP*($s - $s0) * .3
   }
  }
 }
 if (`THETA' == 0.5) {
  if (`GAMMA' <= 1.1) {
   global DTEMP = $DTEMP + ($s - $s0) * 0.1
  }
  else {
   if (`GAMMA' >= 5) {
    global DTEMP = $DTEMP + $DTEMP* ($s - $s0) * 1.75
   }
   else {
    global DTEMP = $DTEMP + $DTEMP*($s - $s0) * 3
   }
  }
 }
 if (`THETA' == 3) {
  if (`GAMMA' <= 1.1) {
   global DTEMP = $DTEMP + ($s - $s0) * 0.6
  }
  if (`GAMMA' == 2) {
   global DTEMP = $DTEMP + ($s - $s0) * 0.4 * (0.2 ^ (`i' > 30))
  }
  if (`GAMMA' == 3) {
   global DTEMP = $DTEMP + ($s - $s0) * 0.2 * (0.2 ^ (`i' > 30))
  }
  if (`GAMMA' >= 4) {
   global DTEMP = $DTEMP + $DTEMP*($s - $s0) * (`i')
  }
 }

}
assert(abs(($s0-$s)/$s0) < 1e-8)
**di "`GAMMA',`THETA',$DTEMP"
di "if (\$GAMMA == `GAMMA' & \$THETA == `THETA') {"
di " global DELTA = $DTEMP"
di "}"

}
}
}
exit
 **
 **/ 


**
** NOTE: The code below is used to generate code used by optimal insurance simulation
** 
/**
 qui do $test `GAMMA' `THETA' 0 0 0
global s0 = floor($s*1000000)/10000 / (1-$TAU)
global U0 = $U
global d = $diff
global Hbar = Hbar
*di "====="
*do print `GAMMA' `THETA'
*di "====="
di "**RESULTS,`GAMMA',`THETA',0,$s0%,$U0,$Hbar,$TAU"

qui do $test `GAMMA' `THETA' -0.4 0 0
global sn = floor($s*1000000)/10000 / (1-$TAU)
global Un = $U
global d = $PHI_0
global Hbar = Hbar

*do print `GAMMA' `THETA'
di "**RESULTS,`GAMMA',`THETA',-0.4,$sn%,$Un,$d,$Hbar,$TAU"
di "if (\`GAMMA' == `GAMMA' & \`THETA' == `THETA') {"
di " global d = $d"
di " global phi1t = $PHI_1_TILDE"
di " global phi2t = $PHI_2_TILDE"
di "}"
 **/


**
* The forvalues cleans up formatting...
**
forvalues i = 1/1 {

 qui do $test `GAMMA' `THETA' 0 0 0
global s0 = floor($s*1000000)/10000 / (1-$TAU)
global U0 = $U
global d = $diff
global Hbar = Hbar


 qui do $test `GAMMA' `THETA' `1' 0 0
global sn = floor($s*1000000)/10000 / (1-$TAU)
global Un = $U
global d = $PHI_0
global Hbar = Hbar

di "RESULTS:GAMMA,THETA,s*,U"
di "RESULTS:`GAMMA',`THETA',$s0%,$U0"
di "RESULTS:`GAMMA',`THETA',$sn%,$Un"

}





}
}

capture log close


exit
