
set more off

est clear

** forvalues sample = 0(1)$max_sample {
local sample = 0

 foreach xvar of varlist single rage rageSquared hh_size _Iw* log_inc_perm dummy_inc_perm {
  qui summ `xvar' if sample`sample' == 1
  qui replace `xvar' = `xvar' - r(mean)
 }
 capture drop ybarX*
 gen ybarXrnumdis = log_inc_perm * rnumdis

  reg rnumdis log_inc_perm dummy_inc_perm rage rageSquared single hh_size isfemale isblack [aw=wgt] if sample`sample' == 1, cluster(hhidpn)
  est store prob_`sample'


/**
  reg med_tot log_inc_perm rnumdis dummy_inc_perm rage rageSquared single hh_size isfemale isblack [aw=wgt] if sample`sample' == 1, cluster(hhidpn)
  est store med_tot

  reg med_tot log_inc_perm rnumdis ybarXrnumdis dummy_inc_perm rage rageSquared single hh_size isfemale isblack [aw=wgt] if sample`sample' == 1, cluster(hhidpn)
  est store med_tot2

  reg med_frac log_inc_perm dummy_inc_perm rage rageSquared single hh_size isfemale isblack [aw=wgt] if sample`sample' == 1, cluster(hhidpn)
  est store med_frac
**/

  reg lung_oxy log_inc_perm dummy_inc_perm rage rageSquared single hh_size isfemale isblack [aw=wgt] if sample`sample' == 1 & rlunge == 1, cluster(hhidpn)
  est store lung_oxy

  reg diab_sev log_inc_perm dummy_inc_perm rage rageSquared single hh_size isfemale isblack [aw=wgt] if sample`sample' == 1 & rdiabe == 1, cluster(hhidpn)
  est store diab
  reg diab_sev2 log_inc_perm dummy_inc_perm rage rageSquared single hh_size isfemale isblack [aw=wgt] if sample`sample' == 1 & rdiabe == 1, cluster(hhidpn)
  est store diab2

  reg stroke_sev log_inc_perm dummy_inc_perm rage rageSquared single hh_size isfemale isblack [aw=wgt] if sample`sample' == 1 & rstroke == 1, cluster(hhidpn)
  est store stroke
  reg stroke_sev2 log_inc_perm dummy_inc_perm rage rageSquared single hh_size isfemale isblack [aw=wgt] if sample`sample' == 1 & rstroke == 1, cluster(hhidpn)
  est store stroke2

/**
  reg med_tot log_inc_perm dummy_inc_perm rage rageSquared single hh_size isfemale isblack [aw=wgt] if sample`sample' == 1, cluster(hhidpn)
  est store prob2_`sample'
**/

**}

estout * ///
 using /bbkinghome/noto/stateDependentUtility/rand/table11_severity.txt, keep(log_inc_perm) ///
 stats(r2 N one_b_over_muinc one_b_se onesd_b_over_muinc onesd_b_se within_se MU_inc, fmt(%9.3f %9.0g)) modelwidth(15) ///
 cells(b( fmt(%9.3f)) se(par fmt(%9.3f)) p(par([ ]) fmt(%9.3f)) ) style(tab) replace notype mlabels(, numbers ) 
est drop prob_*

exit


  local vars = " hibpe diabe lunge stroke arthre hearte "
  foreach var of local vars {
   if ("`var'" == "hearte" ) {
    reg med_`var'_angina log_inc_perm dummy_inc_perm rage rageSquared single hh_size isfemale isblack [aw=wgt] if sample`sample' == 1 & r`var' == 1, cluster(hhidpn)
    est store `var'_angina
    reg med_`var'_chf log_inc_perm dummy_inc_perm rage rageSquared single hh_size isfemale isblack [aw=wgt] if sample`sample' == 1 & r`var' == 1, cluster(hhidpn)
    est store `var'_chf
    reg med_`var'_htm log_inc_perm dummy_inc_perm rage rageSquared single hh_size isfemale isblack [aw=wgt] if sample`sample' == 1 & r`var' == 1, cluster(hhidpn)
    est store `var'_htm
    reg med_`var'_attack log_inc_perm dummy_inc_perm rage rageSquared single hh_size isfemale isblack [aw=wgt] if sample`sample' == 1 & r`var' == 1, cluster(hhidpn)
    est store `var'_attack
   }
   else {
    reg med_`var' log_inc_perm dummy_inc_perm rage rageSquared single hh_size isfemale isblack [aw=wgt] if sample`sample' == 1 & r`var' == 1, cluster(hhidpn)
    est store `var'
   }
  }
