

set more off

capture program drop add_param
program add_param, eclass
 ereturn scalar `1' = `2'
end

est clear
drop _all
use /tmp/bsample_`1'_`2'.dta

summ hhidpn
local max_hhidpn = r(max)
sort hhidpn wave
by hhidpn wave: replace hhidpn = (`max_hhidpn' + 1) * (_n - 1) + hhidpn 



** set in loop below
* local var = "rnumdis"

local sample = 0
local util = "rwhappy"
 
global reg = "areg"
global options = " absorb(hhidpn) cluster(hhidpn) "

rename rseatBelts rbelts
rename rfracPrevExt rprev


** sort hhidpn wave
** outsheet hhidpn hhid wave sample0 rage single hasHealthInsurance isretired *numdis using /tmp/hhidpn.txt, replace
** kaboom

local var = "rnumdis"

 **
 * de-mean all non-health variables
 ** NOTE: if health is included we get change in MU for inc in permanent income at MEAN health
 **
 replace log_inc_perm = log(inc_perm / 1000)
 replace wealth_perm = . if wealth_perm < 1000
 capture drop log_wealth_perm
 gen log_wealth_perm = log(wealth_perm)

 local alpha = 3
 gen double log_inc_perm3 = ( (inc_perm/10000) ^ (1 - `alpha')) / (1 - `alpha')
 local alpha = 5
 gen double log_inc_perm5 = ( (inc_perm/10000) ^ (1 - `alpha')) / (1 - `alpha')

 foreach xvar of varlist single hh_size _Iw* log_wealth_perm log_inc_perm* dummy_inc_perm dummy_inc_curr raedyrs log_c {
  qui summ `xvar' if sample`sample' == 1
  qui replace `xvar' = `xvar' - r(mean)
 }
 summ inc_perm if sample0 == 1
 replace log_inc_curr = log_inc_curr - log(r(mean))

 capture drop *health_it

 gen double ybar_iXhealth_it   = log_inc_perm * `var'
 gen double ybar_i3Xhealth_it   = log_inc_perm3 * `var'
 gen double ybar_i5Xhealth_it   = log_inc_perm5 * `var'

 gen dummyY_iXhealth_it = 0
 assert(dummy_inc_perm == 0)
 
 gen health_it = `var'



* areg `util'  ybar_iXhealth_it health_it dummyY_iXhealth_it rage rageSquared single hh_size _Iwave* if sample0 == 1 ,  absorb(hhidpn) cluster(hhidpn) 
* areg `util'  ybar_iXhealth_it health_it dummyY_iXhealth_it rage rageSquared single hh_size _Iwave* if sample0 == 1 ,  absorb(hhidpn) robust
* areg `util'  ybar_iXhealth_it health_it dummyY_iXhealth_it rage rageSquared single hh_size _Iwave* if sample0 == 1 ,  absorb(hhidpn) 
* assert(isretired == 1) if sample`s' == 1
* assert(rgovmr == 1) if rage >= 65


  ** NOTE: Already have "fixed" sample in runbs.do
  replace sample0 = 1
  local s = 0

  $reg `util'  ybar_iXhealth_it health_it dummyY_iXhealth_it rage rageSquared single hh_size _Iwave*, $options
  do helper "mr`s'" "`var'" "`util'" "`s'"
  do matrix `1' 0 1

  preserve
  drop ybar_iXhealth_it
  drop log_inc_perm
  rename ybar_i3Xhealth_it ybar_iXhealth_it
  rename log_inc_perm3 log_inc_perm
  $reg `util'  ybar_iXhealth_it health_it dummyY_iXhealth_it rage rageSquared single hh_size _Iwave*, $options
  do helper "mr`s'" "`var'" "`util'" "`s'"
  do matrix `1' 3 3
  restore

  preserve
  drop ybar_iXhealth_it
  drop log_inc_perm
  rename ybar_i5Xhealth_it ybar_iXhealth_it
  rename log_inc_perm5 log_inc_perm
  $reg `util'  ybar_iXhealth_it health_it dummyY_iXhealth_it rage rageSquared single hh_size _Iwave*, $options
  do helper "mr`s'" "`var'" "`util'" "`s'"
  do matrix `1' 6 5
  restore

exit



 if (`2' >= 2) {
  local s = 15
 }
 else {
  local s = 0
 }

 if (`2' == 1) {

 }

 if (`2' == 2) {
 $reg `util'  ybar_iXhealth_it health_it dummyY_iXhealth_it rage rageSquared single hh_size _Iwave* if sample`s' & (rgovmr == 1), $options
 do helper "mr`s'" "`var'" "`util'" "`s'"
 }

 if (`2' == 3) {
 $reg `util'  ybar_iXhealth_it health_it dummyY_iXhealth_it rage rageSquared single hh_size _Iwave* if sample`s' & (rgovmr == 1 & rgovmd == 1), $options
 do helper "mr_md`s'" "`var'" "`util'" "`s'"
 }

 if (`2' == 4) {
 $reg `util'  ybar_iXhealth_it health_it dummyY_iXhealth_it rage rageSquared single hh_size _Iwave* if sample`s' & (rgovmr == 1 & (rgovmd == 1 | rgovva == 1 | mcareHMO == 1)), $options
 do helper "mr_md_va_hmo`s'" "`var'" "`util'" "`s'"
 }

 if (`2' == 5) {
 $reg `util'  ybar_iXhealth_it health_it dummyY_iXhealth_it rage rageSquared single hh_size _Iwave* if sample`s' & (rgovmr == 1 & (rgovmd == 1 | mcareHMO == 1)), $options
 do helper "mr_md_hmo`s'" "`var'" "`util'" "`s'"
 }


exit




/**
 **
 $reg `util'  ybar_iXhealth_it health_it dummyY_iXhealth_it rage rageSquared single hh_size _Iwave* if sample`s' & (rgovmr == 1 & (rgovva == 1 | rgovmd == 1 | (rcovr == 1 | rcovs == 1) | rhiothp == 1)), $options
 do helper "mr_otha`s'" "`var'" "`util'" "`s'"

 $reg `util'  ybar_iXhealth_it health_it dummyY_iXhealth_it rage rageSquared single hh_size _Iwave* if sample`s' & (rgovmr == 1 & (rgovva == 1 | rgovmd == 1 | rhiothp == 1)), $options
 do helper "mr_othb`s'" "`var'" "`util'" "`s'"

 sort hhidpn wave
 capture drop rhiothp1
 by hhidpn: gen rhiothp1 = rhiothp[1] if sample`s'[1] == 1
 forvalues i = 2/7 {
  by hhidpn: replace rhiothp1 = rhiothp[`i'] if rhiothp1 == . & sample`s'[`i'] == 1
 }
 $reg `util'  ybar_iXhealth_it health_it dummyY_iXhealth_it rage rageSquared single hh_size _Iwave* if sample`s' & (rgovmr == 1 & (rgovva == 1 | rgovmd == 1 | rhiothp1 == 1)), $options
 do helper "mr_othc`s'" "`var'" "`util'" "`s'"
 **/



/**
 preserve
 drop if rnhmliv == 1
 local s = `sample'
 $reg `util'  ybar_iXhealth_it health_it dummyY_iXhealth_it rage rageSquared single hh_size _Iwave* if sample`s' == 1 , $options
 est store   no_nursinghome
 do calcMUincFE `var' `util' `s' 1
 est restore no_nursinghome
 loneway health_it hhidpn if e(sample) == 1
 local sd = r(sd_w)
 lincom _b[ybar_iXhealth_it] / ${mu_`var'_`util'_`s'}
 global one_b_over_muinc = r(estimate)
 global one_b_se = r(se)
 lincom `sd' * _b[ybar_iXhealth_it] / ${mu_`var'_`util'_`s'}
 global onesd_b_over_muinc = r(estimate)
 global onesd_b_se = r(se)
 global within_se = `sd'
 global MU_inc = ${mu_`var'_`util'_`s'}
 global MU_inc_se = ${mu_`var'_`util'_`s'_se}
 rand_areg
 est store   no_nursinghome
 restore
 **/

est drop *fe*
estout * ///
 using tableZ_medicare_samples.txt,  drop(_* dummy* rage* single hh_size) ///
 stats(MU_inc MU_inc_se r2 N ind_N within_se one_b_over_muinc one_b_se onesd_b_over_muinc onesd_b_se , fmt(%9.3f)) modelwidth(15) ///
 cells(b( fmt(%9.3f)) se(par fmt(%9.3f)) p(par([ ]) fmt(%9.3f)) ) style(tab) replace notype mlabels(, numbers ) 


exit



**
* Symptomatic / Asymptomatic
**
est clear

/**
 preserve
 gen symptomatic = rlunge + rstroke + rarthre
 gen asymptomatic = rhibpe + rhearte + rdiabe 
 gen other = rcancre
 gen ybar_iXsymptomatic  = log_inc_perm * symptomatic
 gen ybar_iXasymptomatic = log_inc_perm * asymptomatic
 gen ybar_iXother = log_inc_perm * other
 local s = `sample'
 $reg `util'  ybar_iX*symptomatic ybar_iXother symptomatic asymptomatic other rage rageSquared single hh_size _Iwave* if sample`s' == 1 , $options
 est store symp_asymp_other
 do calcMUincFE `var' `util' `s' 1
 est restore symp_asymp_other
 add_param "MU_inc" ${mu_`var'_`util'_`s'}
 add_param "MU_inc_se" ${mu_`var'_`util'_`s'_se}
 test y
 est store symp_asymp_other
 restore
 **/

 preserve
 gen symptomatic = rlunge + rstroke + rarthre + rcancre
 gen asymptomatic = rhibpe + rhearte + rdiabe 
 gen ybar_iXsymptomatic  = log_inc_perm * symptomatic
 gen ybar_iXasymptomatic = log_inc_perm * asymptomatic
 local s = `sample'
 $reg `util'  ybar_iX*symptomatic symptomatic asymptomatic rage rageSquared single hh_size _Iwave* if sample`s' == 1 , $options
 est store cancer_symp
 do calcMUincFE `var' `util' `s' 1
 est restore cancer_symp
 add_param "MU_inc" ${mu_`var'_`util'_`s'}
 add_param "MU_inc_se" ${mu_`var'_`util'_`s'_se}
 test ybar_iXsymptomatic = ybar_iXasymptomatic
 add_param "pvalInteraction" r(p)
 test symptomatic = asymptomatic
 add_param "pvalLevel" r(p)
 est store cancer_symp
 restore

 preserve
 gen symptomatic = rlunge + rstroke + rarthre
 gen asymptomatic = rhibpe + rhearte + rdiabe + rcancre 
 gen ybar_iXsymptomatic  = log_inc_perm * symptomatic
 gen ybar_iXasymptomatic = log_inc_perm * asymptomatic
 local s = `sample'
 $reg `util'  ybar_iXsymptomatic ybar_iXasymptomatic symptomatic asymptomatic rage rageSquared single hh_size _Iwave* if sample`s' == 1 , $options
 est store cancer_asymp
 do calcMUincFE `var' `util' `s' 1
 est restore cancer_asymp
 add_param "MU_inc" ${mu_`var'_`util'_`s'}
 add_param "MU_inc_se" ${mu_`var'_`util'_`s'_se}
 test ybar_iXsymptomatic = ybar_iXasymptomatic
 add_param "pvalInteraction" r(p)
 test symptomatic = asymptomatic
 add_param "pvalLevel" r(p)
 est store cancer_asymp
 restore

 preserve
 gen symptomatic = rlunge + rstroke + rarthre
 gen asymptomatic = rhibpe + rhearte + rdiabe
 gen ybar_iXsymptomatic  = log_inc_perm * symptomatic
 gen ybar_iXasymptomatic = log_inc_perm * asymptomatic
 local s = `sample'
 $reg `util'  ybar_iX*symptomatic symptomatic asymptomatic rage rageSquared single hh_size _Iwave* if sample`s' == 1 , $options
 est store no_cancer
 do calcMUincFE `var' `util' `s' 1
 est restore no_cancer
 add_param "MU_inc" ${mu_`var'_`util'_`s'}
 add_param "MU_inc_se" ${mu_`var'_`util'_`s'_se}
 test ybar_iXsymptomatic = ybar_iXasymptomatic
 add_param "pvalInteraction" r(p)
 test symptomatic = asymptomatic
 add_param "pvalLevel" r(p)
 est store no_cancer
 restore


 preserve
 gen symptomatic = rlunge + stroke_sev2 + rarthre + diab_sev2
 gen asymptomatic = rhibpe + rhearte + (rdiabe & diab_sev2 != 1) + (rstroke & stroke_sev2 != 1)
 gen ybar_iXsymptomatic  = log_inc_perm * symptomatic
 gen ybar_iXasymptomatic = log_inc_perm * asymptomatic
 local s = `sample'
 $reg `util'  ybar_iX*symptomatic symptomatic asymptomatic rage rageSquared single hh_size _Iwave* if sample`s' == 1 , $options
 est store severity1
 do calcMUincFE `var' `util' `s' 1
 est restore severity1
 add_param "MU_inc" ${mu_`var'_`util'_`s'}
 add_param "MU_inc_se" ${mu_`var'_`util'_`s'_se}
 test ybar_iXsymptomatic = ybar_iXasymptomatic
 add_param "pvalInteraction" r(p)
 test symptomatic = asymptomatic
 add_param "pvalLevel" r(p)
 est store severity1
 restore

 preserve
 gen symptomatic = lung_oxy + stroke_sev2 + diab_sev2
 gen asymptomatic = rhibpe + rhearte + (rdiabe & diab_sev2 != 1) + (rstroke & stroke_sev2 != 1)
 gen ybar_iXsymptomatic  = log_inc_perm * symptomatic
 gen ybar_iXasymptomatic = log_inc_perm * asymptomatic
 local s = `sample'
 $reg `util'  ybar_iX*symptomatic symptomatic asymptomatic rage rageSquared single hh_size _Iwave* if sample`s' == 1 , $options
 est store severity_noarth
 do calcMUincFE `var' `util' `s' 1
 est restore severity_noarth
 add_param "MU_inc" ${mu_`var'_`util'_`s'}
 add_param "MU_inc_se" ${mu_`var'_`util'_`s'_se}
 test ybar_iXsymptomatic = ybar_iXasymptomatic
 add_param "pvalInteraction" r(p)
 test symptomatic = asymptomatic
 add_param "pvalLevel" r(p)
 est store severity_noarth
 restore

est drop *fe*
estout * ///
   using ${OUTPUT_DIRECTORY}/tableZ_other.txt,  drop(_*) ///
 stats(MU_inc MU_inc_se r2 N ind_N within_se one_b_over_muinc one_b_se onesd_b_over_muinc onesd_b_se pvalInteraction pvalLevel, fmt(%9.3f)) modelwidth(15) ///
 cells(b( fmt(%9.3f)) se(par fmt(%9.3f)) p(par([ ]) fmt(%9.3f)) ) style(tab) replace notype mlabels(, numbers ) 



exit











**
* male/female
**

 gen ybar_iXhealth_itXfemale = ybar_iXhealth_it * (isfemale == 1)
 gen health_itXfemale = health_it *  (isfemale == 1)

 gen ybar_iXhealth_itXmale = ybar_iXhealth_it * (isfemale == 0)
 gen health_itXmale = health_it *  (isfemale == 0)

 local s = `sample'
 $reg `util'  ybar_iXhealth_itX* health_itX* rage rageSquared single hh_size _Iwave* if sample10 == 1, $options
 test ybar_iXhealth_itXmale = ybar_iXhealth_itXfemale
 test health_itXmale = health_itXfemale
 est store   female_male
 do calcMUincFE `var' `util' `s' 1
 est restore female_male
 loneway health_it hhidpn if e(sample) == 1
 local sd = r(sd_w)
 lincom _b[ybar_iXhealth_it] / ${mu_`var'_`util'_`s'}
 global one_b_over_muinc = r(estimate)
 global one_b_se = r(se)
 lincom `sd' * _b[ybar_iXhealth_it] / ${mu_`var'_`util'_`s'}
 global onesd_b_over_muinc = r(estimate)
 global onesd_b_se = r(se)
 global within_se = `sd'
 global MU_inc = ${mu_`var'_`util'_`s'}
 global MU_inc_se = ${mu_`var'_`util'_`s'_se}
 rand_areg
 est store female_male

kaboom

 local s = `sample'
 $reg `util'  ybar_iXhealth_it health_it dummyY_iXhealth_it rage rageSquared single hh_size _Iwave* if sample`s' == 1 & isfemale == 1, $options
 est store   female
 do calcMUincFE `var' `util' `s' 1
 est restore female
 loneway health_it hhidpn if e(sample) == 1
 local sd = r(sd_w)
 lincom _b[ybar_iXhealth_it] / ${mu_`var'_`util'_`s'}
 global one_b_over_muinc = r(estimate)
 global one_b_se = r(se)
 lincom `sd' * _b[ybar_iXhealth_it] / ${mu_`var'_`util'_`s'}
 global onesd_b_over_muinc = r(estimate)
 global onesd_b_se = r(se)
 global within_se = `sd'
 global MU_inc = ${mu_`var'_`util'_`s'}
 global MU_inc_se = ${mu_`var'_`util'_`s'_se}
 rand_areg
 est store female

 local s = `sample'
 $reg `util'  ybar_iXhealth_it health_it dummyY_iXhealth_it rage rageSquared single hh_size _Iwave* if sample`s' == 1 & isfemale == 0, $options
 est store   male
 do calcMUincFE `var' `util' `s' 1
 est restore male
 loneway health_it hhidpn if e(sample) == 1
 local sd = r(sd_w)
 lincom _b[ybar_iXhealth_it] / ${mu_`var'_`util'_`s'}
 global one_b_over_muinc = r(estimate)
 global one_b_se = r(se)
 lincom `sd' * _b[ybar_iXhealth_it] / ${mu_`var'_`util'_`s'}
 global onesd_b_over_muinc = r(estimate)
 global onesd_b_se = r(se)
 global within_se = `sd'
 global MU_inc = ${mu_`var'_`util'_`s'}
 global MU_inc_se = ${mu_`var'_`util'_`s'_se}
 rand_areg
 est store male

kaboom


 preserve
 replace rnhmliv = 1 if rnrsnit > 0 & rnrsnit < .
 drop if rnhmliv == 1
 local s = `sample'
 $reg `util'  ybar_iXhealth_it health_it dummyY_iXhealth_it rage rageSquared single hh_size _Iwave* if sample`s' == 1 , $options
 est store   no_nursinghome
 do calcMUincFE `var' `util' `s' 1
 est restore no_nursinghome
 loneway health_it hhidpn if e(sample) == 1
 local sd = r(sd_w)
 lincom _b[ybar_iXhealth_it] / ${mu_`var'_`util'_`s'}
 global one_b_over_muinc = r(estimate)
 global one_b_se = r(se)
 lincom `sd' * _b[ybar_iXhealth_it] / ${mu_`var'_`util'_`s'}
 global onesd_b_over_muinc = r(estimate)
 global onesd_b_se = r(se)
 global within_se = `sd'
 global MU_inc = ${mu_`var'_`util'_`s'}
 global MU_inc_se = ${mu_`var'_`util'_`s'_se}
 rand_areg
 est store   no_nursinghome
 restore

 preserve
 replace rnhmliv = 1 if rnrsnit > 0 & rnrsnit < .
 replace snhmliv = 1 if snrsnit > 0 & snrsnit < .
 drop if rnhmliv == 1 | snhmliv == 1
 local s = `sample'
 $reg `util'  ybar_iXhealth_it health_it dummyY_iXhealth_it rage rageSquared single hh_size _Iwave* if sample`s' == 1 , $options
 est store   no_nursinghome2
 do calcMUincFE `var' `util' `s' 1
 est restore no_nursinghome2
 loneway health_it hhidpn if e(sample) == 1
 local sd = r(sd_w)
 lincom _b[ybar_iXhealth_it] / ${mu_`var'_`util'_`s'}
 global one_b_over_muinc = r(estimate)
 global one_b_se = r(se)
 lincom `sd' * _b[ybar_iXhealth_it] / ${mu_`var'_`util'_`s'}
 global onesd_b_over_muinc = r(estimate)
 global onesd_b_se = r(se)
 global within_se = `sd'
 global MU_inc = ${mu_`var'_`util'_`s'}
 global MU_inc_se = ${mu_`var'_`util'_`s'_se}
 rand_areg
 est store   no_nursinghome2
 restore

 preserve
 replace rnhmliv = 1 if rnrsnit > 0 & rnrsnit < .
 replace snhmliv = 1 if snrsnit > 0 & snrsnit < .
 bys hhidpn: egen nhm_ever = sum(rnhmliv)
 replace nhm_ever = nhm_ever > 0 if nhm_ever < .
 drop if nhm_ever == 1
 local s = `sample'
 $reg `util'  ybar_iXhealth_it health_it dummyY_iXhealth_it rage rageSquared single hh_size _Iwave* if sample`s' == 1 , $options
 est store   no_nursinghome3
 do calcMUincFE `var' `util' `s' 1
 est restore no_nursinghome3
 loneway health_it hhidpn if e(sample) == 1
 local sd = r(sd_w)
 lincom _b[ybar_iXhealth_it] / ${mu_`var'_`util'_`s'}
 global one_b_over_muinc = r(estimate)
 global one_b_se = r(se)
 lincom `sd' * _b[ybar_iXhealth_it] / ${mu_`var'_`util'_`s'}
 global onesd_b_over_muinc = r(estimate)
 global onesd_b_se = r(se)
 global within_se = `sd'
 global MU_inc = ${mu_`var'_`util'_`s'}
 global MU_inc_se = ${mu_`var'_`util'_`s'_se}
 rand_areg
 est store   no_nursinghome3
 restore

kaboom


 ** keep if sample0 == 1
/**

 areg `util'  ybar_iXhealth_it health_it rage rageSquared single hh_size _Iwave* , absorb(hhidpn) cluster(hhidpn)
 reg `util'  ybar_iXhealth_it health_it rage rageSquared single hh_size _Iwave* log_inc_perm , cluster(hhidpn)
 gen ybar2 = log(inc_perm ^ 2)
 gen ybar3 = log(inc_perm ^ 3)
 gen ybar4 = log(inc_perm ^ 4)
 reg `util'  ybar_iXhealth_it health_it rage rageSquared single hh_size _Iwave* log_inc_perm ybar2-ybar4, cluster(hhidpn)
 **/



**
* make new hhid's
*  change in household composition ...
**

gen hhid_new = ""
replace hhid_new = string(hhidpn, "%12.0g") + "_" + string(shhidpn, "%12.0g") if hhidpn >= shhidpn
replace hhid_new = string(shhidpn, "%12.0g") + "_" + string(hhidpn, "%12.0g") if hhidpn < shhidpn
drop hhid
rename hhid_new hhid

list hhidpn shhidpn hhid wave sample0 if hhidpn >= 31059000 & hhidpn < 31059050

capture drop myN
bys hhid wave: gen myN = _N
list hhidpn shhidpn hhid wave sample0 rage single hasHealthInsurance isretired *numdis if single > 0 & single <. & myN != 1
assert(myN == 1) if single > 0 & single < .

** spouse not included(!)

drop if missing(health_it)
drop if missing(rwhappy)
drop if missing(log_inc_perm)
drop if missing(rage)
drop if missing(single)
drop if missing(hh_size)


 preserve
 collapse (mean) sample0 (mean) health_it rwhappy rcesd rcesd4 log_inc_perm rage single hh_size isfemale isblack, by(hhid wave)
 keep if sample0 > 0 & sample0 < .
 summ log_inc_perm
 replace log_inc_perm = log_inc_perm - r(mean)
 gen rageSquared = rage * rage
 gen ybar_iXhealth_it = health_it * log_inc_perm
 xi i.wave
 **areg rcesd   ybar_iXhealth_it health_it rage rageSquared single hh_size _Iwave* , absorb(hhid) cluster(hhid)
 **areg rcesd4  ybar_iXhealth_it health_it rage rageSquared single hh_size _Iwave* , absorb(hhid) cluster(hhid)
 areg `util'  ybar_iXhealth_it health_it rage rageSquared single hh_size _Iwave* , absorb(hhid) cluster(hhid)
 est store bruce1 
 capture drop fe
 predict fe, d
 reg fe log_inc_perm isfemale isblack rage rageSquared single hh_size, cluster(hhid)        
 global MU_inc = _b[log_inc_perm] 
 global MU_inc_se = _se[log_inc_perm] 
 est restore bruce1
 add_param MU_inc "$MU_inc"
 add_param MU_inc_se "$MU_inc_se"
 loneway health_it hhid
 add_param within_se r(sd_w)
 est store bruce1
 restore


 preserve
 keep if sample0 == 1
 collapse (mean) sample0 (mean) hnumdis health_it rwhappy rcesd rcesd4 log_inc_perm rage single hh_size isfemale isblack, by(hhid wave)
 summ log_inc_perm
 replace log_inc_perm = log_inc_perm - r(mean)
 loneway health_it hhid
 gen rageSquared = rage * rage
 gen ybar_iXhealth_it = health_it * log_inc_perm
 xi i.wave
 **areg rcesd   ybar_iXhealth_it health_it rage rageSquared single hh_size _Iwave* , absorb(hhid) cluster(hhid)
 **areg rcesd4  ybar_iXhealth_it health_it rage rageSquared single hh_size _Iwave* , absorb(hhid) cluster(hhid)
 areg `util'  ybar_iXhealth_it health_it rage rageSquared single hh_size _Iwave* , absorb(hhid) cluster(hhid)
 est store bruce2
 capture drop fe
 predict fe, d
 reg fe log_inc_perm isfemale isblack rage rageSquared single hh_size, cluster(hhid)        
 global MU_inc = _b[log_inc_perm] 
 global MU_inc_se = _se[log_inc_perm] 
 est restore bruce2
 add_param MU_inc "$MU_inc"
 add_param MU_inc_se "$MU_inc_se"
 loneway health_it hhid
 add_param within_se r(sd_w)
 est store bruce2
 restore


 preserve
 keep if sample0 == 1
 capture drop myN
 bys hhid wave: gen myN = _N
 drop if myN == 1 & shhidpn > 0 & shhidpn < .
 collapse (mean) sample0 (mean) hnumdis health_it rwhappy rcesd rcesd4 log_inc_perm rage single hh_size isfemale isblack, by(hhid wave)
 summ log_inc_perm
 replace log_inc_perm = log_inc_perm - r(mean)
 loneway health_it hhid
 gen rageSquared = rage * rage
 gen ybar_iXhealth_it = health_it * log_inc_perm
 xi i.wave
 **areg rcesd   ybar_iXhealth_it health_it rage rageSquared single hh_size _Iwave* , absorb(hhid) cluster(hhid)
 **areg rcesd4  ybar_iXhealth_it health_it rage rageSquared single hh_size _Iwave* , absorb(hhid) cluster(hhid)
 areg `util'  ybar_iXhealth_it health_it rage rageSquared single hh_size _Iwave* , absorb(hhid) cluster(hhid)
 est store bruce3
 capture drop fe
 predict fe, d
 reg fe log_inc_perm isfemale isblack rage rageSquared single hh_size, cluster(hhid)        
 global MU_inc = _b[log_inc_perm] 
 global MU_inc_se = _se[log_inc_perm] 
 est restore bruce3
 add_param MU_inc "$MU_inc"
 add_param MU_inc_se "$MU_inc_se"
 loneway health_it hhid
 add_param within_se r(sd_w)
 est store bruce3
 restore

est drop *fe*
estout * ///
   using tableZ_bruce.txt,  drop(_*) ///
 stats(MU_inc MU_inc_se r2 N ind_N within_se one_b_over_muinc one_b_se onesd_b_over_muinc onesd_b_se , fmt(%9.3f)) modelwidth(15) ///
 cells(b( fmt(%9.3f)) se(par fmt(%9.3f)) p(par([ ]) fmt(%9.3f)) ) style(tab) replace notype mlabels(, numbers ) 

kaboom










 


kaboom

 est store   `var'_`util'_`s'
 do calcMUincFE `var' `util' `s' 1
 est restore `var'_`util'_`s'
 loneway health_it hhidpn if e(sample) == 1
 local sd = r(sd_w)
 lincom _b[ybar_iXhealth_it] / ${mu_`var'_`util'_`s'}
 global one_b_over_muinc = r(estimate)
 global one_b_se = r(se)
 lincom `sd' * _b[ybar_iXhealth_it] / ${mu_`var'_`util'_`s'}
 global onesd_b_over_muinc = r(estimate)
 global onesd_b_se = r(se)
 global within_se = `sd'
 global MU_inc = ${mu_`var'_`util'_`s'}
 global MU_inc_se = ${mu_`var'_`util'_`s'_se}
 rand_areg
 est store `var'_`util'_`s'





 **
 * PCA
 **

** replace rcesd = rwhappy + renlife + (1-rfsad) + (1-rflone) + ///
** (1-rgoing) + (1-rsleepr) + (1-reffort) + (1-rdepres)

gen pca_happy = rwhappy
gen pca_enlife= renlife
gen pca_sad   = 1-rfsad
gen pca_lone  = 1-rflone
gen pca_going = 1-rgoing
gen pca_sleep = 1-rsleepr
gen pca_effort= 1-reffort
gen pca_depres= 1-rdepres

pca  pca_* if sample`s' == 1
ereturn list
return list

pca  pca_* if sample`s' == 1, components(1)
matrix v = e(L)

gen pca = ///
 v[1,1] * pca_happy + ///
 v[2,1] * pca_enlife+ ///
 v[3,1] * pca_sad   + ///
 v[4,1] * pca_lone  + ///
 v[5,1] * pca_effort+ ///
 v[6,1] * pca_depres+ ///
 v[7,1] * pca_going + ///
 v[8,1] * pca_sleep

 local s = `sample'
 local util = "pca"
 $reg `util' ybar_iXhealth_it health_it dummyY_iXhealth_it rage rageSquared single hh_size _Iwave* if sample`s' == 1, $options
 est store   `var'_`util'_`s'
 do calcMUincFE `var' `util' `s' 1
 est restore `var'_`util'_`s'
 loneway health_it hhidpn if e(sample) == 1
 local sd = r(sd_w)
 lincom _b[ybar_iXhealth_it] / ${mu_`var'_`util'_`s'}
 global one_b_over_muinc = r(estimate)
 global one_b_se = r(se)
 lincom `sd' * _b[ybar_iXhealth_it] / ${mu_`var'_`util'_`s'}
 global onesd_b_over_muinc = r(estimate)
 global onesd_b_se = r(se)
 global within_se = `sd'
 global MU_inc = ${mu_`var'_`util'_`s'}
 global MU_inc_se = ${mu_`var'_`util'_`s'_se}
 rand_areg
 est store `var'_`util'_`s'
 local util = "rwhappy"


 **
 * add in weights
 **
 local s = `sample'
 $reg `util'  ybar_iXhealth_it health_it dummyY_iXhealth_it rage rageSquared single hh_size _Iwave* if sample`s' == 1 [aw=rwtresp], $options
 est store   `var'_`util'_`s'_wgt
 do calcMUincFE `var' `util' `s' 1 "wgt"
 est restore `var'_`util'_`s'_wgt
 loneway health_it hhidpn if e(sample) == 1
 local sd = r(sd_w)
 lincom _b[ybar_iXhealth_it] / ${mu_`var'_`util'_`s'}
 global one_b_over_muinc = r(estimate)
 global one_b_se = r(se)
 lincom `sd' * _b[ybar_iXhealth_it] / ${mu_`var'_`util'_`s'}
 global onesd_b_over_muinc = r(estimate)
 global onesd_b_se = r(se)
 global within_se = `sd'
 global MU_inc = ${mu_`var'_`util'_`s'}
 global MU_inc_se = ${mu_`var'_`util'_`s'_se}
 rand_areg
 est store `var'_`util'_`s'_wgt


 **
 ** age >= 65 (and spouse age >= 65)
 **
 local s = 6
 $reg `util'  ybar_iXhealth_it health_it dummyY_iXhealth_it rage rageSquared single hh_size _Iwave* if sample`s' == 1 , $options
 est store   `var'_`util'_`s'
 do calcMUincFE `var' `util' `s' 1
 est restore `var'_`util'_`s'
 loneway health_it hhidpn if e(sample) == 1
 local sd = r(sd_w)
 lincom _b[ybar_iXhealth_it] / ${mu_`var'_`util'_`s'}
 global one_b_over_muinc = r(estimate)
 global one_b_se = r(se)
 lincom `sd' * _b[ybar_iXhealth_it] / ${mu_`var'_`util'_`s'}
 global onesd_b_over_muinc = r(estimate)
 global onesd_b_se = r(se)
 global within_se = `sd'
 global MU_inc = ${mu_`var'_`util'_`s'}
 global MU_inc_se = ${mu_`var'_`util'_`s'_se}
 rand_areg
 est store `var'_`util'_`s'

kaboom

  local s = `sample'

     preserve
     ** interact everything with num diseases
     gen rnumdisXhh_size = log_inc_perm * hh_size
     gen rnumdisXsingle  = log_inc_perm * single
     $reg `util' *health_it rnumdisX* single hh_size rage rageSquared _Iw* if sample`sample' == 1, $options
     est store numdis_inters
     do calcMUincFE `var' `util' `sample' 0
     est restore numdis_inters
     loneway health_it hhidpn if e(sample) == 1
     local sd = r(sd_w)
     lincom _b[ybar_iXhealth_it] / ${mu_`var'_`util'_`sample'}
     global one_b_over_muinc = r(estimate)
     global one_b_se = r(se)
     lincom `sd' * _b[ybar_iXhealth_it] / ${mu_`var'_`util'_`sample'}
     global onesd_b_over_muinc = r(estimate)
     global onesd_b_se = r(se)
     global within_se = `sd'
     global MU_inc = ${mu_`var'_`util'_`sample'}
     global MU_inc_se = ${mu_`var'_`util'_`sample'_se}
     rand_areg
     est store numdis_inters
     restore

     preserve
     ** interact everything with num diseases
     gen rnumdisXhh_size = log_inc_perm * hh_size
     gen rnumdisXage = log_inc_perm * rage
     gen rnumdisXsingle  = log_inc_perm * single
     $reg `util' *health_it rnumdisX* single hh_size rage rageSquared _Iw* if sample`sample' == 1, $options
     est store numdis_inters2
     do calcMUincFE `var' `util' `sample' 0
     est restore numdis_inters2
     loneway health_it hhidpn if e(sample) == 1
     local sd = r(sd_w)
     lincom _b[ybar_iXhealth_it] / ${mu_`var'_`util'_`sample'}
     global one_b_over_muinc = r(estimate)
     global one_b_se = r(se)
     lincom `sd' * _b[ybar_iXhealth_it] / ${mu_`var'_`util'_`sample'}
     global onesd_b_over_muinc = r(estimate)
     global onesd_b_se = r(se)
     global within_se = `sd'
     global MU_inc = ${mu_`var'_`util'_`sample'}
     global MU_inc_se = ${mu_`var'_`util'_`sample'_se}
     rand_areg
     est store numdis_inters2
     restore



     preserve
     ** interact everything with num diseases

     replace log_inc_perm = log(wealth_perm)
     replace ybar_iXhealth_it = log(wealth_perm) * health_it

     gen rnumdisXhh_size = log_inc_perm * hh_size
     gen rnumdisXsingle  = log_inc_perm * single
     $reg `util' *health_it rnumdisX* single hh_size rage rageSquared _Iw* if sample`sample' == 1, $options
     est store numdis_inters_w1
     do calcMUincFE `var' `util' `sample' 0
     est restore numdis_inters_w1
     loneway health_it hhidpn if e(sample) == 1
     local sd = r(sd_w)
     lincom _b[ybar_iXhealth_it] / ${mu_`var'_`util'_`sample'}
     global one_b_over_muinc = r(estimate)
     global one_b_se = r(se)
     lincom `sd' * _b[ybar_iXhealth_it] / ${mu_`var'_`util'_`sample'}
     global onesd_b_over_muinc = r(estimate)
     global onesd_b_se = r(se)
     global within_se = `sd'
     global MU_inc = ${mu_`var'_`util'_`sample'}
     global MU_inc_se = ${mu_`var'_`util'_`sample'_se}
     rand_areg
     est store numdis_inters_w1
     restore

     preserve
     ** interact everything with num diseases

     replace log_inc_perm = log(wealth_perm)
     replace ybar_iXhealth_it = log(wealth_perm) * health_it

     gen rnumdisXhh_size = log_inc_perm * hh_size
     gen rnumdisXage = log_inc_perm * rage
     gen rnumdisXsingle  = log_inc_perm * single
     $reg `util' *health_it rnumdisX* single hh_size rage rageSquared _Iw* if sample`sample' == 1, $options
     est store numdis_inters_w2
     do calcMUincFE `var' `util' `sample' 0
     est restore numdis_inters_w2
     loneway health_it hhidpn if e(sample) == 1
     local sd = r(sd_w)
     lincom _b[ybar_iXhealth_it] / ${mu_`var'_`util'_`sample'}
     global one_b_over_muinc = r(estimate)
     global one_b_se = r(se)
     lincom `sd' * _b[ybar_iXhealth_it] / ${mu_`var'_`util'_`sample'}
     global onesd_b_over_muinc = r(estimate)
     global onesd_b_se = r(se)
     global within_se = `sd'
     global MU_inc = ${mu_`var'_`util'_`sample'}
     global MU_inc_se = ${mu_`var'_`util'_`sample'_se}
     rand_areg
     est store numdis_inters_w2
     restore


   forvalues d = 2(1)3 {
     ** H - <=2 diseaes; S - >2 diseases
     preserve
     replace health_it = (rnumdis >= `d')
     replace health_it = . if rnumdis == .
     replace ybar_iXhealth_it = health_it * log_inc_perm  
     $reg `util' *health_it single hh_size rage rageSquared _Iw* if sample`sample' == 1, $options
     est store hilo_ge`d'
     do calcMUincFE `var' `util' `sample' 0
     est restore hilo_ge`d'
     loneway health_it hhidpn if e(sample) == 1
     local sd = r(sd_w)
     lincom _b[ybar_iXhealth_it] / ${mu_`var'_`util'_`sample'}
     global one_b_over_muinc = r(estimate)
     global one_b_se = r(se)
     lincom `sd' * _b[ybar_iXhealth_it] / ${mu_`var'_`util'_`sample'}
     global onesd_b_over_muinc = r(estimate)
     global onesd_b_se = r(se)
     global within_se = `sd'
     global MU_inc = ${mu_`var'_`util'_`sample'}
     global MU_inc_se = ${mu_`var'_`util'_`sample'_se}
     rand_areg
     est store hilo_ge`d'
     restore
   }

** END for each var (rnumdis, adl_tot, etc.)
}

est drop *fe*
estout * ///
   using ${OUTPUT_DIRECTORY}/tableZ_other.txt,  drop(_*) ///
 stats(MU_inc MU_inc_se r2 N ind_N within_se one_b_over_muinc one_b_se onesd_b_over_muinc onesd_b_se , fmt(%9.3f)) modelwidth(15) ///
 cells(b( fmt(%9.3f)) se(par fmt(%9.3f)) p(par([ ]) fmt(%9.3f)) ) style(tab) replace notype mlabels(, numbers ) 
