
set more off

capture program drop add_param
program add_param, eclass
 ereturn scalar `1' = `2'
end

est clear
drop _all
use /tmp/bsample_`1'.dta

summ hhidpn
local max_hhidpn = r(max)
sort hhidpn wave
by hhidpn wave: replace hhidpn = (`max_hhidpn' + 1) * (_n - 1) + hhidpn 



** set in loop below
* local var = "rnumdis"

local sample = 0
local util = "rwhappy"
 
global reg = "areg"
global options = " absorb(hhidpn) cluster(hhidpn) "

rename rseatBelts rbelts
rename rfracPrevExt rprev

** summ inc_perm
** local ybar = r(mean)

 keep if sample0 == 1

 gen health_it = rnumdis
 sort hhidpn wave
 by hhidpn: gen h_it_chg = health_it - health_it[_n - 1]
 by hhidpn: gen rwhappy_chg = rwhappy - rwhappy[_n - 1]
 by hhidpn: gen rcesd_chg = rcesd - rcesd[_n - 1]
 by hhidpn: gen rcesd4_chg = rcesd4 - rcesd4[_n - 1]
 drop if missing(inc_perm)
 drop if missing(h_it_chg)

 tab h_it_chg
 summ h_it_chg, det
 summ h_it_chg if h_it_chg >= 1, det

 **replace inc_perm = log(inc_perm)
 summ inc_perm, det
 local ybar = r(mean)
 summ inc_perm if inc_perm >= `ybar'
 summ inc_perm if inc_perm <  `ybar'

 summ rwhappy_chg if inc_perm >= `ybar' & h_it_chg == 0
 summ rwhappy_chg if inc_perm < `ybar' & h_it_chg == 0
 summ rwhappy_chg if inc_perm >= `ybar' & h_it_chg >= 1
 summ rwhappy_chg if inc_perm < `ybar' & h_it_chg >= 1 

 preserve
 rename h_it_chg h_it_chg_raw
 gen hi = (inc_perm > `ybar')
 gen h_it_chg = .
 replace h_it_chg = 0 if h_it_chg_raw == 0
 replace h_it_chg = 1 if h_it_chg_raw >= 1 & h_it_chg_raw < .
 gen hiXh_it_chg = hi * h_it_chg
 reg rwhappy_chg hi h_it_chg hiXh_it_chg, cluster(hhidpn)
 restore

 summ inc_perm, det
 local ybar = r(p50)
 summ inc_perm if inc_perm >= `ybar'
 summ inc_perm if inc_perm <  `ybar'

 summ rwhappy_chg if inc_perm >= `ybar' & h_it_chg == 0
 summ rwhappy_chg if inc_perm < `ybar' & h_it_chg == 0
 summ rwhappy_chg if inc_perm >= `ybar' & h_it_chg >= 1
 summ rwhappy_chg if inc_perm < `ybar' & h_it_chg >= 1 

 preserve
 rename h_it_chg h_it_chg_raw
 gen hi = (inc_perm > `ybar')
 gen h_it_chg = .
 replace h_it_chg = 0 if h_it_chg_raw == 0
 replace h_it_chg = 1 if h_it_chg_raw >= 1 & h_it_chg_raw < .
 gen hiXh_it_chg = hi * h_it_chg
 reg rwhappy_chg hi h_it_chg hiXh_it_chg, cluster(hhidpn)
 restore



 summ inc_perm, det
 local ybar = r(mean)
 summ inc_perm if inc_perm >= `ybar'
 summ inc_perm if inc_perm <  `ybar'

 preserve
 gen hi = (inc_perm > `ybar')
 gen hiXh_it_chg = hi * h_it_chg
 reg rwhappy_chg hi h_it_chg hiXh_it_chg, cluster(hhidpn)
 restore

 summ inc_perm, det
 local ybar = r(p50)
 summ inc_perm if inc_perm >= `ybar'
 summ inc_perm if inc_perm <  `ybar'

 preserve
 gen hi = (inc_perm > `ybar')
 gen hiXh_it_chg = hi * h_it_chg
 reg rwhappy_chg hi h_it_chg hiXh_it_chg, cluster(hhidpn)
 restore

kaboom




 preserve
 gen hi = (inc_perm > `ybar')
 gen h_it_chg = .
 replace h_it_chg = 0 if h_it_chg_raw == 0
 replace h_it_chg = 1 if h_it_chg_raw == 1
 gen hiXh_it_chg = hi * h_it_chg
 reg rwhappy_chg hi h_it_chg hiXh_it_chg, cluster(hhidpn)
 restore

 preserve
 gen hi = (inc_perm > `ybar')
 gen h_it_chg = .
 replace h_it_chg = 0 if h_it_chg_raw == 0
 replace h_it_chg = 1 if h_it_chg_raw == 2
 gen hiXh_it_chg = hi * h_it_chg
 reg rwhappy_chg hi h_it_chg hiXh_it_chg, cluster(hhidpn)
 restore

 summ rwhappy_chg if inc_perm >= `ybar' & h_it_chg == 0
 summ rwhappy_chg if inc_perm < `ybar' & h_it_chg == 0
 summ rwhappy_chg if inc_perm >= `ybar' & h_it_chg >= 2
 summ rwhappy_chg if inc_perm < `ybar' & h_it_chg >= 2

 preserve
 gen hi = (inc_perm > `ybar')
 gen h_it_chg = .
 replace h_it_chg = 0 if h_it_chg_raw == 0
 replace h_it_chg = 1 if h_it_chg_raw >= 2 & h_it_chg_raw < .
 gen hiXh_it_chg = hi * h_it_chg
 reg rwhappy_chg hi h_it_chg hiXh_it_chg, cluster(hhidpn)
 restore

 summ rcesd_chg if inc_perm >= `ybar' & h_it_chg == 0
 summ rcesd_chg if inc_perm < `ybar' & h_it_chg == 0
 summ rcesd_chg if inc_perm >= `ybar' & h_it_chg >= 2
 summ rcesd_chg if inc_perm < `ybar' & h_it_chg >= 2

 preserve
 gen hi = (inc_perm > `ybar')
 gen h_it_chg = .
 replace h_it_chg = 0 if h_it_chg_raw == 0
 replace h_it_chg = 1 if h_it_chg_raw >= 2 & h_it_chg_raw < .
 gen hiXh_it_chg = hi * h_it_chg
 reg rcesd_chg hi h_it_chg hiXh_it_chg, cluster(hhidpn)
 restore

 summ rcesd4_chg if inc_perm >= `ybar' & h_it_chg == 0
 summ rcesd4_chg if inc_perm < `ybar' & h_it_chg == 0
 summ rcesd4_chg if inc_perm >= `ybar' & h_it_chg >= 2
 summ rcesd4_chg if inc_perm < `ybar' & h_it_chg >= 2

 preserve
 gen hi = (inc_perm > `ybar')
 gen h_it_chg = .
 replace h_it_chg = 0 if h_it_chg_raw == 0
 replace h_it_chg = 1 if h_it_chg_raw >= 2 & h_it_chg_raw < .
 gen hiXh_it_chg = hi * h_it_chg
 reg rcesd4_chg hi h_it_chg hiXh_it_chg, cluster(hhidpn)
 restore

