set more off

global summ_list = " rcesd rcesd4 rwhappy rfracPrev rseatBelts rfracPrevExt numwaves hh_tot_inc log_inc_perm isfemale isblack single rage rageSquared isretired spouse_retired hh_size rnumdis radl_tot riadl_tot rofl_tot r_sh  snumdis hnumdis"

matrix table1 = J(38, 14, 0)

local i = 1
foreach var of varlist $summ_list {

 summ `var' if sample0 == 1 `if_ind', det
 matrix table1[`i', 1] = r(N)
 matrix table1[`i', 2] = r(mean)
 matrix table1[`i', 3] = r(sd)
 matrix table1[`i', 4] = r(p5)
 matrix table1[`i', 5] = r(p50)
 matrix table1[`i', 6] = r(p95)
 loneway `var' hhidpn if sample0 == 1
 matrix table1[`i', 7] = r(sd_w)

 summ `var' if sample2 == 1 `if_ind', det
 matrix table1[`i', 8] = r(N)
 matrix table1[`i', 9] = r(mean)
 matrix table1[`i', 10] = r(sd)
 matrix table1[`i', 11] = r(p5)
 matrix table1[`i', 12] = r(p50)
 matrix table1[`i', 13] = r(p95)
 loneway `var' hhidpn if sample0 == 1
 matrix table1[`i', 14] = r(sd_w)

 local i = `i' + 1

}

preserve 

matrix list table1
drop _all
svmat table1
rename table11 N_0
rename table12 mean_0
rename table13 sd_0
rename table14 p5_0
rename table15 p50_0
rename table16 p95_0
rename table17 lway_0

rename table18 N_1
rename table19 mean_1
rename table110 sd_1
rename table111 p5_1
rename table112 p50_1
rename table113 p95_1
rename table114 lway_1

outsheet using /bbkinghome/noto/stateDependentUtility/rand/table1.txt, replace

restore




	

